<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:24 GMT 2019 -->
<title>Board</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Board";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Board.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../board/BankDeposit.html" title="class in board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../board/Chance.html" title="class in board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?board/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">board</div>
<h2 title="Class Board" class="title">Class Board</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>board.Board</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Board</span>
extends java.lang.Object</pre>
<div class="block">Generates a board from a file containing board information, 
 and handles inputs and outputs from it</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Board.html#BOARD_SIZE">BOARD_SIZE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../board/Board.html#Board--">Board</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../board/Square.html" title="class in board">Square</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Board.html#getBoard--">getBoard</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../board/Property.html" title="class in board">Property</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Board.html#getPropertySet-board.Colour-">getPropertySet</a></span>(<a href="../board/Colour.html" title="enum in board">Colour</a>&nbsp;colour)</code>
<div class="block">Returns the set of properties belonging to a colour group</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../board/Transport.html" title="class in board">Transport</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Board.html#getTransportSet--">getTransportSet</a></span>()</code>
<div class="block">Returns all the transports</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../board/Utilities.html" title="class in board">Utilities</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Board.html#getUtilitySet--">getUtilitySet</a></span>()</code>
<div class="block">returns all the utilities</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Board.html#initialise--">initialise</a></span>()</code>
<div class="block">Generates a list of squares from the board file by splitting them by a "-" delimiter</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Board.html#isNotPurchaseable-int-java.lang.String:A-">isNotPurchaseable</a></span>(int&nbsp;i,
                 java.lang.String[]&nbsp;components)</code>
<div class="block">The process if the square to be added to the board is not purchaseable</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Board.html#isPurchaseable-int-java.lang.String:A-">isPurchaseable</a></span>(int&nbsp;i,
              java.lang.String[]&nbsp;components)</code>
<div class="block">If the square to be added to the board is purchaseable</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../board/Board.html#setBoard-java.util.ArrayList-">setBoard</a></span>(java.util.ArrayList&lt;<a href="../board/Square.html" title="class in board">Square</a>&gt;&nbsp;board)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="BOARD_SIZE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BOARD_SIZE</h4>
<pre>public static final&nbsp;int BOARD_SIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#board.Board.BOARD_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Board--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Board</h4>
<pre>public&nbsp;Board()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="initialise--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initialise</h4>
<pre>public&nbsp;void&nbsp;initialise()</pre>
<div class="block">Generates a list of squares from the board file by splitting them by a "-" delimiter</div>
</li>
</ul>
<a name="getBoard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoard</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../board/Square.html" title="class in board">Square</a>&gt;&nbsp;getBoard()</pre>
</li>
</ul>
<a name="isNotPurchaseable-int-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNotPurchaseable</h4>
<pre>public&nbsp;void&nbsp;isNotPurchaseable(int&nbsp;i,
                              java.lang.String[]&nbsp;components)</pre>
<div class="block">The process if the square to be added to the board is not purchaseable</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>i</code> - </dd>
<dd><code>components</code> - </dd>
</dl>
</li>
</ul>
<a name="isPurchaseable-int-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPurchaseable</h4>
<pre>public&nbsp;void&nbsp;isPurchaseable(int&nbsp;i,
                           java.lang.String[]&nbsp;components)</pre>
<div class="block">If the square to be added to the board is purchaseable</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>i</code> - </dd>
<dd><code>components</code> - </dd>
</dl>
</li>
</ul>
<a name="getPropertySet-board.Colour-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPropertySet</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../board/Property.html" title="class in board">Property</a>&gt;&nbsp;getPropertySet(<a href="../board/Colour.html" title="enum in board">Colour</a>&nbsp;colour)</pre>
<div class="block">Returns the set of properties belonging to a colour group</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>colour</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getUtilitySet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUtilitySet</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../board/Utilities.html" title="class in board">Utilities</a>&gt;&nbsp;getUtilitySet()</pre>
<div class="block">returns all the utilities</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getTransportSet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransportSet</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../board/Transport.html" title="class in board">Transport</a>&gt;&nbsp;getTransportSet()</pre>
<div class="block">Returns all the transports</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="setBoard-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBoard</h4>
<pre>public&nbsp;void&nbsp;setBoard(java.util.ArrayList&lt;<a href="../board/Square.html" title="class in board">Square</a>&gt;&nbsp;board)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Board.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../board/BankDeposit.html" title="class in board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../board/Chance.html" title="class in board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?board/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
